// Copyright (C) 2007 Juan Manuel Borges Caño

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

#include <mlu.h>

void
mluSquareMatrix2f(MLenum pname, MLsizei order, const MLfloat *param1, MLfloat param2, MLfloat *result)
{
	mlMatrix2f(pname, order, order, param1, param2, result);
}

void
mluSquareMatrix3f(MLenum pname, MLsizei order, const MLfloat *param1, MLfloat param2, MLfloat param3, MLfloat *result)
{
	mlMatrix3f(pname, order, order, param1, param2, param3, result);
}

void
mluSquareMatrixfv(MLenum pname, MLsizei order, const MLfloat *param, MLfloat *result)
{
	mlMatrixfv(pname, order, order, param, result);
}

void
mluSquareMatrix2fv(MLenum pname, MLsizei order1, const MLfloat *param1, MLsizei order2, const MLfloat *param2, MLfloat *result)
{
	mlMatrix2fv(pname, order1, order1, param1, order2, order2, param2, result);
}
