// Copyright (C) 2007 Juan Manuel Borges Caño

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

#include <mlu.h>
#include <stdlib.h>
#include <stdio.h>

int
main(int argc, char *argv[])
{
	const float a[] =
	{ 
		1, 2, 0, -1, 1, 0, 1, 2, 1
	};
	float minv[9], mid[9];

	printf("matrix:\n");
	mluSquareMatrixfv(ML_MATRIX_PRINT, 3, a, NULL);
	mluSquareMatrixfv(ML_MATRIX_INVERSE, 3, a, minv);
	printf("inverse of this matrix:\n");
	mluSquareMatrixfv(ML_MATRIX_PRINT, 3, minv, NULL);
	printf("multiplication ot these two matrices:\n");
	mluSquareMatrix2fv(ML_MULT_MATRIX_AND_MATRIX, 3, a, 3, minv, mid);
	mluSquareMatrixfv(ML_MATRIX_PRINT, 3, mid, NULL);

	return EXIT_SUCCESS;
}
